mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Functions
mssndcard.h File Reference

mediastreamer2 mssndcard.h include file More...

`#include <mediastreamer2/mscommon.h>`
Include dependency graph for mssndcard.h:

## Macros
#define | MS_SND_CARD_CAP_DISABLED (0)
#define | MS_SND_CARD_CAP_CAPTURE (1)
#define | MS_SND_CARD_CAP_PLAYBACK (1<<1)
#define | MS_SND_CARD_CAP_BUILTIN_ECHO_CANCELLER (1<<2)
#define | MS_SND_CARD_CAP_IS_SLOW (1<<3)

## Typedefs
typedef struct _MSSndCardManager | MSSndCardManager
typedef enum _MSSndCardMixerElem | MSSndCardMixerElem
typedef enum _MSSndCardCapture | MSSndCardCapture
typedef enum _MSSndCardControlElem | MSSndCardControlElem
typedef struct _MSSndCardDesc | MSSndCardDesc
typedef struct _MSSndCard | MSSndCard

## Functions
MSSndCardManager * | ms_snd_card_manager_get (void)
void | ms_snd_card_manager_destroy (void)
MSSndCard * | ms_snd_card_manager_get_card (MSSndCardManager *m, const char *id)
MSSndCard * | ms_snd_card_manager_get_default_card (MSSndCardManager *m)
MSSndCard * | ms_snd_card_manager_get_default_capture_card (MSSndCardManager *m)
MSSndCard * | ms_snd_card_manager_get_default_playback_card (MSSndCardManager *m)
const MSList * | ms_snd_card_manager_get_list (MSSndCardManager *m)
void | ms_snd_card_manager_add_card (MSSndCardManager *m, MSSndCard *c)
void | ms_snd_card_manager_prepend_cards (MSSndCardManager *m, MSList *l)
void | ms_snd_card_manager_register_desc (MSSndCardManager *m, MSSndCardDesc *desc)
void | ms_snd_card_manager_reload (MSSndCardManager *m)
struct _MSFilter * | ms_snd_card_create_reader (MSSndCard *obj)
struct _MSFilter * | ms_snd_card_create_writer (MSSndCard *obj)
MSSndCard * | ms_snd_card_new (MSSndCardDesc *desc)
MSSndCard * | ms_snd_card_new_with_name (MSSndCardDesc *desc, const char *name)
void | ms_snd_card_destroy (MSSndCard *obj)
MSSndCard * | ms_snd_card_dup (MSSndCard *card)
const char * | ms_snd_card_get_driver_type (const MSSndCard *obj)
const char * | ms_snd_card_get_name (const MSSndCard *obj)
const char * | ms_snd_card_get_string_id (MSSndCard *obj)
unsigned int | ms_snd_card_get_capabilities (const MSSndCard *obj)
int | ms_snd_card_get_minimal_latency (MSSndCard *obj)
void | ms_snd_card_set_level (MSSndCard *obj, MSSndCardMixerElem e, int percent)
int | ms_snd_card_get_level (MSSndCard *obj, MSSndCardMixerElem e)
void | ms_snd_card_set_capture (MSSndCard *obj, MSSndCardCapture c)
int | ms_snd_card_set_control (MSSndCard *obj, MSSndCardControlElem e, int val)
int | ms_snd_card_get_control (MSSndCard *obj, MSSndCardControlElem e)
int | ms_snd_card_get_preferred_sample_rate (const MSSndCard *obj)
int | ms_snd_card_set_preferred_sample_rate (MSSndCard *obj, int rate)
void | ms_snd_card_set_usage_hint (MSSndCard *obj, bool_t is_going_to_be_used)
MSSndCard * | ms_alsa_card_new_custom (const char *pcmdev, const char *mixdev)
void | ms_alsa_card_set_forced_sample_rate (int samplerate)

## Detailed Description

mediastreamer2 mssndcard.h include file

This file provide the API needed to manage soundcard filters.